Installer crashes on repair current install or somesuch option

Bug #1329394 reported by Continuous on 2014-06-12
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
High
Unassigned

Bug Description

Installing over current 14.04 partition copied from with original partition on an mbr disk, new disks is gpt (i.e. I copied partition across)

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: ubiquity 2.18.7
ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
Uname: Linux 3.13.0-24-generic x86_64
ApportVersion: 2.14.1-0ubuntu3
Architecture: amd64
CasperVersion: 1.340
Date: Fri Jun 13 03:12:11 2014
InstallCmdLine: BOOT_IMAGE=(loop)/casper/vmlinuz.efi root=UUID=0AD8-163C debian-installer/language=en keyboard-configuration/layoutcode=us iso-scan/filename=/ubuntu-14.04-desktop-amd64.iso boot=casper file=/cdrom/preseed/ubuntu.seed noprompt quiet splash --
LiveMediaBuild: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20140417)
ProcEnviron:
 LANGUAGE=en_AU.UTF-8
 PATH=(custom, no user)
 LANG=en_AU.UTF-8
 SHELL=/bin/bash
SourcePackage: ubiquity
UpgradeStatus: No upgrade log present (probably fresh install)

Continuous (kostas-mitropoulos) wrote :
Phillip Susi (psusi) wrote :

It appears the partition you are trying to install to is corrupt; please fsck it and try again.

Changed in ubiquity (Ubuntu):
status: New → Incomplete

Thanks Phillip,
I went on and installed afresh which repartitioned the drive (fixing the
corruption) - all is well.
Cheers,
Kostas

Cheers,
Kostas Mitropoulos
0403990897

On 13 June 2014 05:47, Phillip Susi <email address hidden> wrote:

> It appears the partition you are trying to install to is corrupt; please
> fsck it and try again.
>
>
> ** Changed in: ubiquity (Ubuntu)
> Status: New => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1329394
>
> Title:
> Installer crashes on repair current install or somesuch option
>
> Status in “ubiquity” package in Ubuntu:
> Incomplete
>
> Bug description:
> Installing over current 14.04 partition copied from with original
> partition on an mbr disk, new disks is gpt (i.e. I copied partition
> across)
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: ubiquity 2.18.7
> ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
> Uname: Linux 3.13.0-24-generic x86_64
> ApportVersion: 2.14.1-0ubuntu3
> Architecture: amd64
> CasperVersion: 1.340
> Date: Fri Jun 13 03:12:11 2014
> InstallCmdLine: BOOT_IMAGE=(loop)/casper/vmlinuz.efi root=UUID=0AD8-163C
> debian-installer/language=en keyboard-configuration/layoutcode=us
> iso-scan/filename=/ubuntu-14.04-desktop-amd64.iso boot=casper
> file=/cdrom/preseed/ubuntu.seed noprompt quiet splash --
> LiveMediaBuild: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20140417)
> ProcEnviron:
> LANGUAGE=en_AU.UTF-8
> PATH=(custom, no user)
> LANG=en_AU.UTF-8
> SHELL=/bin/bash
> SourcePackage: ubiquity
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1329394/+subscriptions
>

Exception during installation:
Jun 12 17:12:02 ubuntu /plugininstall.py: Traceback (most recent call last):
Jun 12 17:12:02 ubuntu /plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 1770, in <module>
Jun 12 17:12:02 ubuntu /plugininstall.py: install.run()
Jun 12 17:12:02 ubuntu /plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 78, in wrapper
Jun 12 17:12:02 ubuntu /plugininstall.py: func(self)
Jun 12 17:12:02 ubuntu /plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 202, in run
Jun 12 17:12:02 ubuntu /plugininstall.py: self.configure_apt()
Jun 12 17:12:02 ubuntu /plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 655, in configure_apt
Jun 12 17:12:02 ubuntu /plugininstall.py: "AptSetup failed with code %d" % ret)
Jun 12 17:12:02 ubuntu /plugininstall.py: ubiquity.install_misc.InstallStepError: AptSetup failed with code 1
Jun 12 17:12:02 ubuntu /plugininstall.py:

tags: added: installer-crash
Changed in ubiquity (Ubuntu):
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

[Expired for ubiquity (Ubuntu) because there has been no activity for 60 days.]

Changed in ubiquity (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers